      SUBROUTINE ANTISP(DXN,DYN,DNOMRA,DNOMDE,DRA1,DDE1)
C
CC calculates RA, DEC from pseudo-cartesian coordinates XN, YN
CC (Performs exactly the opposite operation as SPHERE)
C
C************************ FFORM VERSION 3.0 ********** 31-JAN-90 09:20
C
CA  author : GRH              
CU  update : PTK              date: 06-DEC-1990 17:03
CU  update : PTK              date: 08-JAN-1990 08:50 angles in radians
CU  update : EXSAS              date: 03-AUG-1993 19:40
C
CT  status: not tested
C
C   general description:
CG  calculates RA, DEC from pseudo-cartesian coordinates XN, YN
CG  (Performs exactly the opposite operation as SPHERE)
C
C   call_var.          type I/O description
CP  DXN                 D   i   pseudo cartesian x coordinate in radians
CP  DYN                 D   i   pseudo cartesian y coordinate in radians
CP  DNOMRA              D   i  reference right ascension (radians) 
CP                             for DXN = 0 and DYN = 0.
CP  DNOMDE              D   i  reference declination (radians)
CP                             for DXN = 0 and DYN = 0.
CP  DRA1                D     o actual right ascension for DXN, DYN (radians)
CP  DDE1                D     o actual declination for DXN, DYN (radians)
CP  IERR                I     O = 0 no error 
CP                              = 3 
C
C   include_block_name          description
CI  RCOMMON:CGENL.CMN           general parameter common block
C
C   routines_called    type     description
CR
C
C   extensions/system calls     description
CX  
C
C***********************************************************************
C
C   variables   meaning
C
      IMPLICIT NONE
C
      DOUBLE PRECISION DINRA,DINDE,DXN1,DYN1
      DOUBLE PRECISION DXN,DYN,DNOMRA,DNOMDE,DRA1,DDE1
      DOUBLE PRECISION PID
      INTEGER     IERR 
      CHARACTER*6   RTNAME
C
C     INCLUDE 'RCOMMON:CGENL.CMN'
C
      SAVE
      DATA          PID   /3.14159265358979323846D0/
      DATA          RTNAME /'ANTISP'/
C
      IERR=0
C
      DINRA=DNOMRA
      DINDE=DNOMDE
CHB      DXN1=-DXN
      DXN1=DXN 
CHB      DYN1=-DYN
      DYN1=DYN
C*    CALL DTRA(-DINDE,180.,0.,DXN1,DYN1,DRA1,DDE1)
      CALL DTRA(-DINDE,PID,0.D0,DXN1,DYN1,DRA1,DDE1)
      DRA1=DRA1+DNOMRA
C*     IF(DRA1.GT.360.0D0)DRA1=DRA1-360.0D0
      IF(DRA1.GT.2.*PID)DRA1=DRA1-2.*PID
      RETURN      
      END











